package javax.sound.midi.spi;

import javax.sound.midi.MidiDevice;

public abstract class MidiDeviceProvider
{
    public MidiDeviceProvider() {
    }
    
    public boolean isDeviceSupported(MidiDevice.Info info) {
        MidiDevice.Info[] deviceInfo = this.getDeviceInfo();
        int i = 0;
        while (i < deviceInfo.length) {
            if (info.equals(deviceInfo[i])) {
                return true;
            }
            ++i;
        }
        return false;
    }
    
    public abstract MidiDevice.Info[] getDeviceInfo();
    
    public abstract MidiDevice getDevice(MidiDevice.Info p0);
}
